View workflow rerun details

Read the status of a workflow rerun branch.

HTTP
GET $CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/reruns/{rerun_id}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First query the workflow rerun list to obtain the rerun ID.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/reruns/$RERUN_ID" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

FieldTypeDescription
workflow_idstringWorkflow ID.
execution_idstringSource job ID.
rerun_idstringRerun ID.

Successful response

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "rerun": {
      "rerun_id": "rerun-001",
      "branch_id": "branch-001",
      "case_id": "case-001",
      "source_branch_id": "branch-000",
      "new_workflow_execution_id": "exec-002",
      "source_execution_id": "exec-001",
      "node_key": "root.load",
      "mode": "continue_from_node",
      "status": "running"
    }
  }
}
FieldTypeDescription
codestring`OK` when successful.
msgstring`OK` when successful.
data.rerun.rerun_idstringRerun ID.
data.rerun.branch_idstringBranch ID.
data.rerun.case_idstringCase ID.
data.rerun.source_branch_idstringSource branch ID; only returned if there is a value.
data.rerun.new_workflow_execution_idstringNew job ID; returned only if there is a value.
data.rerun.source_execution_idstringSource job ID; returned only if there is a value.
data.rerun.node_keystringRerun starting point; only returned if there is a value.
data.rerun.modestringRerun mode.
data.rerun.statusstringCurrent branch status.
data.rerun.errorstringBranch error information; only returned when there is an error.
data.start_errorstringStart error; only returned if there is a value.
data.refresh_errorstringRefresh error; only returned if there is a value.

Error response

JSON
{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

When you need to stop the branch cancel the workflow and rerun.

Last updated on